Propaganda Oculta
martes, diciembre 27, 2011
Nuevo hack para Skype y Ubuntu Oneiric (11.10)
Resulta que, aparentemente, las nuevas versiones de PulseAudio juegan un poco mejor con la anticuada Skype. Nomás hay que configurar PulseAudio para que use el dispositivo y el conector adecuado.

En las propiedades de Input de PulseAudio, el dispositivo de hardware interno es simplemente "Internal Audio Analog Stereo," y el conector no es el micrófono análogo, sino el "Analog Input."

Pero ahora el problema son los drivers de video. Los más nuevos ya no se entienden bien con Skype (que no ha tenido nuevas versiones para linux desde hace años). Hay que forzar a Skype a que use las librerías para compatibilidad.

Ahora uso el siguiente comando:

LD_PRELOAD=/usr/lib/i386-linux-gnu/libv4l/v4l1compat.so /usr/bin/skype

La locación de v4l1compat.so puede variar de distribución a distribución.

... Creo que ya es hora de encontrar un reemplazo para Skype ...

Etiquetas: , , , , , ,

 
Personal sounding board and public memory.

CodeWeavers

diciembre 2004 / enero 2005 / febrero 2005 / marzo 2005 / noviembre 2005 / diciembre 2005 / febrero 2006 / marzo 2006 / abril 2006 / julio 2007 / agosto 2007 / noviembre 2007 / septiembre 2010 / octubre 2010 / noviembre 2010 / enero 2011 / junio 2011 / julio 2011 / diciembre 2011 / marzo 2012 / junio 2012 / agosto 2012 / septiembre 2012 /


Powered by Blogger